#pragma once
#include "../controllers/admin_controller/admin_controller.h"
#include "../controllers/user_controller/user_controller.h"


class UI {
    private:
        AdminController* _adminController;
        UserController* _userController;
    public:
        UI(AdminController* adminController,UserController* userController);
        ~UI();
        void run();
        void runAsAdmin();
        void runAsUser();
};
